DIFF(1)

NAVN
diff - ammenlign filer linje for linje

SYNOPSIS
diff [TILVALG]... FILER

BESKRIVELSE
Sammenlign filer linjevis.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

--normal
    udskriv en almindelig diff (forvalg)

-q, --brief
    angiv kun når filerne er forskellige

-s, --report-identical-files
    rapporter hvis to filer er ens

-c, -C ANTAL, --context[=ANTAL]
    udskriv ANTAL (normalt 3) linjer med kopieret kontekst

-u, -U ANTAL, --unified[=ANTAL]
    udskriv højst ANTAL (normalt 3) linjer forenet kontekst

-e, --ed
    udskriv et ed-script

-n, --rcs
    udskriv en diff i RCS-format

-y, --side-by-side
    udskriv i to kolonner

-W, --width=ANTAL
    udskriv højst ANTAL (normalt 130) søjler

--left-column
    vis kun venstre kolonne af fælles linjer

--suppress-common-lines
    vis ingen fælles linjer

-p, --show-c-function
    vis hvilken C-funktion hver ændring er i

-F, --show-function-line=RE
    vis den seneste linje der matcher RE

--label MÆRKAT
    brug MÆRKAT frem for filnavn og tidsstempel (kan gentages)

-t, --expand-tabs
    lav tabulatorer om til mellemrum i output

-T, --initial-tab
    få tabulatorer på linje ved at forudstille en tabulator

--tabsize=ANTAL
    tabulatorstop for hver ANTAL (normalt 8) kolonner

--suppress-blank-empty
    intet mellemrum eller tabulator før tomme ud-linjer

-l, --paginate
    led uddata gennem "pr" for at sideinddele det

-r, --recursive
    sammenlign alle fundne underkataloger rekursivt

--no-dereference
    følg ikke symbolske lænker

-N, --new-file
    behandl manglende filer som var de tomme

--unidirectional-new-file
    behandl manglende førstefiler som var de tomme

--ignore-file-name-case
    ingen forskel på store og små bogstaver ved
                            sammenligning af filnavne

--no-ignore-file-name-case
    skeln mellem store og små bogstaver ved sammenligning af filnavne

-x, --exclude=MØNSTER
    udelad filer, det matcher MØNSTER

-X, --exclude-from=FIL
    udelad filer, der matcher ethvert mønster i FIL

-S, --starting-file=FIL
    start med FIL, når der sammenlignes kataloger

--from-file=FIL1
    sammenlign FIL1 med alle operander; FIL1 må godt være et katalog

--to-file=FIL2
    sammenlign alle operander med FIL2. FIL2 må godt være et katalog

-i, --ignore-case
    ignorer versalforskelle i filindhold

-E, --ignore-tab-expansion
    ignorer ændringer, der skyldes tabulatoromsætning

-Z, --ignore-trailing-space
    ignorer blanke tegn ved linjens afslutning

-b, --ignore-space-change
    ignorer ændringer i mængden af blanke tegn

-w, --ignore-all-space
    ignorer alle blanke tegn

-B, --ignore-blank-lines
    ignorer ændringer med kun tomme linjer

-I, --ignore-matching-lines=MØNSTER
    ignorer ændringer, hvis linjer alle matcher MØNSTER

-a, --text
    behandl alle filer som tekst

--strip-trailing-cr
    fjern afsluttende vognretur i inddata

-D, --ifdef=NAVN
    udskriv flettet fil med "#ifdef NAVN"-differ

--GTYPE-group-format=GFMT
    formater GTYPE-inputgrupper med GFMT

--line-format=LFMT
    formater alle inputlinjer med LFMT

--LTYPE-line-format=LFMT
    formater LTYPE-inputlinjer med LFMT

    Disse formattilvalg giver finkontrol over udskriften af diff, og

    generaliserer -D/--ifdef.

LTYPE er "old" (gammel), "new" (ny) eller "unchanged" (uændret).
    GTYPE er LTYPE eller "changed" (ændret).

    GFMT (kun) må indeholde:

%<  linjer fra FIL1

%>  linjer fra FIL2

%=  linjer både i FIL1 og FIL2

%[-][BREDDE][.[PRÆC]]{doxX}BOGSTAV
    printf-angivelse for BOGSTAV

    BOGSTAVer er som følger for ny gruppe, eller som små bogstaver for gammel gruppe:

F   første linjenummer

L   sidste linjenummer

N   antal linjer = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    hvis A lig med B så T, ellers E

    LFMT (kun) må indeholde:

%L  indhold af linje

%l  indhold af linje, undtagen eventuelt følgende linjeskift

%[-][BREDDE][.[PRÆC]]{doxX}n
    printf-angivelse for inputlinjenummer

    GFMT og LFMT kan begge indeholde:

%%  %

%c'C'
    tegnet C

%c'\OOO'
    tegnet med oktalkode OOO

C   tegnet C (andre tegn repræsenterer sig selv)

-d, --minimal
    grundigt forsøg på at finde et mindre antal ændringer

--horizon-lines=ANTAL
    behold ANTAL linjer af fælles præfiks og suffiks

--speed-large-files
    antag store filer og mange spredte, små ændringer

--color[=NÅR]
    farv udskriften; NÅR kan være »never«, »always« eller »auto«; ren --color betyder --color='auto'

--palette=PALET
    farverne der skal bruges sammen med --color; PALET er en kolon-adskilt liste af terminfo-egenskaber

--help
    vis denne hjælpetekst og afslut

-v, --version
    vis versionsinformation og afslut

FILER er "FIL1 FIL2" eller "KATALOG1 KATALOG2" eller "KATALOG FIL" eller "FIL KATALOG". Hvis --from-file eller --to-file er givet, er der ingen restriktioner på FILer. Såfremt en FIL er "-", læses fra standard-ind. Slutstatus er 0 hvis inddata er ens, 1 hvis ikke, og 2 hvis der er problemer.

FORFATTER
Skrevet af Paul Eggert, Mike Haertel, David Hayes, Richard Stallman og Len Tower.

FEJLRAPPORTER
Raporter programfejl på engelsk til <bug-diffutils@gnu.org>.
Hjemmeside for GNU diffutils: <https://www.gnu.org/software/diffutils/>
Generel hjælp til GNU-programmer: <https://www.gnu.org/gethelp/>

OPHAVSRET
Ophavsret © 2021 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Hele dokumentationer for diff bliver vedligeholdt som en Texinfo-manual. Hvis info og diff programmerne er korrekt installeret på din maskine vil komandoen

    info diff

give dig adgang til den fulde manual.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.